org.apache.cassandra.transport

## Class Server.ConnectionTracker

- java.lang.Object
- - org.apache.cassandra.transport.Server.ConnectionTracker

All Implemented Interfaces:
  Connection.Tracker

Enclosing class:
  Server

    public static class Server.ConnectionTracker
    extends java.lang.Object
    implements Connection.Tracker

### Field Summary

Fields
`io.netty.channel.group.ChannelGroup` `allChannels`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConnection(io.netty.channel.Channel ch, Connection connection)`
`void` `closeAll()`
`int` `getConnectedClients()`
`void` `register(Event.Type type, io.netty.channel.Channel ch)`
`void` `send(Event event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### allChannels

    public final io.netty.channel.group.ChannelGroup allChannels

### Constructor Detail

#### ConnectionTracker

    public ConnectionTracker()

### Method Detail

#### addConnection

    public void addConnection(io.netty.channel.Channel ch,
                              Connection connection)

Specified by:
  `addConnection` in interface `Connection.Tracker`

#### register

    public void register(Event.Type type,
                         io.netty.channel.Channel ch)

#### send

    public void send(Event event)

#### closeAll

    public void closeAll()

#### getConnectedClients

    public int getConnectedClients()